Index: SPECS/rpm.spec
===================================================================
--- SPECS.orig/rpm.spec
+++ SPECS/rpm.spec
@@ -14,7 +14,7 @@ Summary: The RPM package management syst
 Name: rpm
 Version: 4.4.2.1
 %{expand: %%define rpm_version %{version}}
-Release: 1%{?dist}
+Release: 1%{?dist}.fa1
 Group: System Environment/Base
 Url: http://www.rpm.org/
 Source: rpm-%{rpm_version}.tar.gz
@@ -30,6 +30,10 @@ Patch9: rpm-4.4.2.1-python-exithook.patc
 Patch10: rpm-4.4.2.1-checkterminate-noexit.patch
 Patch11: rpm-4.4.2.1-config-mtime.patch
 Patch12: rpm-4.4.2.1-strict-docdir.patch
+Patch13: rpm-4.4.2.1-gnueabi.patch
+Patch14: rpm-4.4.2.1-fix-arm-typos.patch
+Patch15: rpm-4.4.2.1-always-mlock.patch
+Patch16: rpm-4.4.2.1-bb-shortcircuit.patch
 # XXX Beware, this is one murky license, partially GPL/LGPL dual-licensed
 # and several different components with their own licenses included...
 License: (GPLv2 and LGPLv2 with exceptions) and BSD and MIT and Sleepycat
@@ -150,6 +154,10 @@ shell-like rules.
 %patch10 -p1 -b .checkterminate-noexit
 %patch11 -p1 -b .config-mtime
 %patch12 -p1 -b .strict-docdir
+%patch13 -p1 -b .gnueabi
+%patch14 -p1 -b .arm-typos
+%patch15 -p1 -b .always-mlock
+%patch16 -p1 -b .bb-shortcircuit
 
 %build
 
@@ -331,8 +339,8 @@ exit 0
 %ifarch s390 s390x
 %attr(-, rpm, rpm)              %{__prefix}/lib/rpm/s390*
 %endif
-%ifarch armv3l armv4l
-%attr(-, rpm, rpm)              %{__prefix}/lib/rpm/armv[34][lb]*
+%ifarch %{arm}
+%attr(-, rpm, rpm)              %{__prefix}/lib/rpm/arm*
 %endif
 %ifarch mips mipsel
 %attr(-, rpm, rpm)              %{__prefix}/lib/rpm/mips*
